SizeSelector.ByteUnits (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types.selectors, class: SizeSelector, class: ByteUnits

Package org.apache.tools.ant.types.selectors

# Class SizeSelector.ByteUnits

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.selectors.SizeSelector.ByteUnits

Enclosing class:
  `SizeSelector`

public static class SizeSelector.ByteUnits extends EnumeratedAttribute
Enumerated attribute with the values for units.

This treats the standard SI units as representing powers of ten, as they should. If you want the powers of 2 that approximate the SI units, use the first two characters followed by a `bi`. So 1024 (2^10) becomes `kibi`, 1048576 (2^20) becomes `mebi`, 1073741824 (2^30) becomes `gibi`, and so on. The symbols are also accepted, and these are the first letter capitalized followed by an `i`. `Ki`, `Mi`, `Gi`, and so on. Capitalization variations on these are also accepted.

This binary prefix system is approved by the IEC and appears on its way for approval by other agencies, but it is not an SI standard. It disambiguates things for us, though.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByteUnits()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByteUnits

    public ByteUnits()

- ## Method Details

  - ### getValues

    public String[] getValues()
    Description copied from class: `EnumeratedAttribute`
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      the values as an array of strings